# dkim_getsiglist()

[back to index]

SYNOPSIS |
    #include <dkim.h>

    DKIM_STAT dkim_getsiglist(
    	DKIM *dkim,
    	DKIM_SIGINFO ***sigs,
    	int *nsigs
    );
Retrieve the array of `DKIM_SIGINFO` handles associated with a message.
DESCRIPTION |
Called When | `dkim_getsiglist()` can be called at any time after `dkim_eoh()` has been called.
ARGUMENTS |
Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign` or `dkim_verify`.
sigs | A pointer to an array of `DKIM_SIGINFO` handles representing all of the signatures present on the message being handled (updated).
nsigs | A pointer to an integer which will be updated to contain the number of signatures on the message being handled (and thus, the size of the array referenced by `sigs`).
RETURN VALUES |
Value | Description
--- | ---
`DKIM_STAT_INVALID` | No siglist message has been stored for this handle. This usually means `dkim_eoh()` has not yet been called.
`DKIM_STAT_OK` | The pointer to the signature array and the count have been returned in the provided locations.
NOTES | The array returned is allocated and maintained by the library, and must not be deallocated by the caller. Initially, the array's order mirrors the order of signature fields found in the message being verified. The caller is free to rearrange this order. This same array is passed to all of the callbacks, so reordering done in one will be visible to the others.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.